Subject: Re: bug#16182: Acknowledgement (24.3.50; ruby-mode: Indentation style of multiline literals with hanging open paren inside other parens)

From: Steve Purcell <[email-masked]>
Date: Sat, 21 Dec 2013 15:38:40 +0000

On 21 Dec 2013, at 15:31, Dmitry Gutov <[email-masked]> wrote:

> This example is indented just like Robocop master likes with (AlignWith: variable):
> 
> b = a = if 3 == 4
>      1
>    else
>      2
>    end
> 
> puts a
> puts b
> 
> 
> Someone correct me if I'm wrong, but I suspect that users who like less indentation would prefer to have the `if' body and closer to be aligned to the beginning of the statement, rather than to `a’.

I wouldn’t personally consider as reasonable *any* scheme which placed related “if”, “else” and “end” keywords at differing levels of indentation.

To get less indentation in the above case, one should place the “if” on a new line IMO.

Just my 2c. :-)